Subject: [IPFIX] Last-minute changes proposed for IPFIX Protocol RFC

From: Nevil Brownlee <[email-masked]>
Date: Wed, 13 Dec 2006 06:58:27 +1300

Hi all:

After some discussion on the IPFIX list, a small editorial change
that would improve the IPFIX Protocol draft has been proposed
Since that's now in the RFC Editor queue, we could probably make
the change as a comment to the RFC editor.

The change is as follows -
> throughout the document:
>    "Template Withdrawal Message" should be replaced by       
> "Template Withdrawal Set"
>    "Template Withdraw Message" should be replaced by
>       "Template Withdrawal Set"

If anyone sees any problem with this change, please comment on
the IPFIX list.

Also, Juergen Quittek, in an email to the list dated 11 Dec 06
proposed three more editorial changes to the Protocol Draft (copied
below).  Can anyone see any problems with either of these?

If we have consensus, one of the Protocol draft Editors will
request the RFC Editor to make these changes in the document.
Editors of other IPFIX drafts will also need to check that
their drafts also used this changed terminology.

Cheers, Nevil
(IPFIX CO-chair)

Juergen's proposed changes:

> Now that I have read the concerned section 8 of IPFIX-PROTO again,
> I found some more beautifications that seem to be desirable.
>
>
> 1. Section 8, paragraph 11: A Template Withdrawal Message/Set is NOT
>   a Template Record.
> OLD:
>   A Template Withdraw Message is a Template Record for that Template
>   ID with a Field Count of 0. The format of the Template Withdrawal
>   Message is shown in figure T.
> NEW:
>   A Template Withdrawal Set contains a Template Record for that Template
>   ID with a Field Count of 0. The format of the Template Withdrawal Set
>   is shown in figure T.
>
>
> 2. Section 8, paragraph 12: not a Template Set is withdrawn, but
>   Templates themselves are.
> OLD:
>   The Set ID field MUST contain the value 2 for Template Set withdrawal
>   and the value 3 for Options Template Set withdrawal.  Multiple
>   Template IDs MAY be withdrawn with a single Template Withdrawal
>   Message: in that case, padding MAY be used.
> NEW:
>   The Set ID field MUST contain the value 2 for a Template Withdrawal
>   Set and the value 3 for an Option Template Withdrawal Set.  Multiple
>   Template IDs MAY be withdrawn with a single Template Withdrawal
>   Set: in that case, padding MAY be used.
>
>
> 3. Section 8, paragraph 15: If we replaced Message with Set here, we
>   would change the protocol. Therefore I'd suggest the following change.
> OLD:
>   The Template Withdraw Message MUST NOT contain new Template or
>   Options Template Records.
> NEW:
>   An IPFIX Message containing any Template Withdrawal MUST not contain
>   new Templates or Option Templates and it MUST NOT contain Option
>   Template Records.

-----------------------------------------------------------------------
   Nevil Brownlee                  Computer Science Department | ITS
   Phone: +64 9 373 7599 x88941           The University of Auckland
   FAX: +64 9 373 7453      Private Bag 92019, Auckland, New Zealand

-----------------------------------------------------------------------
This mail sent through University of Auckland http://www.auckland.ac.nz

_______________________________________________
IPFIX mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipfix